summaryrefslogtreecommitdiff
path: root/distro/ubuntu/build
diff options
context:
space:
mode:
Diffstat (limited to 'distro/ubuntu/build')
-rwxr-xr-xdistro/ubuntu/build44
1 files changed, 44 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..e9a1801
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-applets
+pkgver=2011.12.01
+pkgrel=1
+pkgdesc="MATE Applets"
+#depends="gstreamer0.10-base-plugins, mate-panel, mate-character-map, libgtop, libmatenotify, cpufrequtils"
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ # Optional Features:
+ # --enable-pulseaudio Enable PulseAudio support [default=auto]
+ # --enable-profiles enable mate media profiles
+ # --enable-grecord enable mate sound recorder
+ # --enable-gstprops enable gstreamer properties
+ # --enable-gstmix enable gstreamer mixer
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --libexecdir=/usr/lib/${pkgname} \
+ --localstatedir=/var --disable-static \
+ --disable-schemas-install \
+ --enable-pulseaudio \
+ --disable-scrollkeeper \
+ --enable-profiles --enable-grecord \
+ --enable-gstprops --enable-gstmix || return 1
+
+ # there is some pre-compiled files on the tar
+ make || return 1
+
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+ #rm -f ${pkgdir}/usr/lib/*.la # can be used options=(!libtools)
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh